/* RESET BÁSICO */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

.index{
    /*grid-template-rows: repeat(2, auto);    2 filas */
    text-align: center;
}

.noti{
    margin-bottom: 10px;
    background-color: rgba(255, 0, 0, 0.774);
    border-radius: 5px;
}

.noti p{
    padding: 10px;
    color: #fff;
}

/* BODY LOGIN */
body.login {
    min-height: 100vh;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    display: flex;
    justify-content: center;
    align-items: center;
}

/* CONTENEDOR PRINCIPAL */
.login-container {
    width: 100%;
    max-width: 900px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    gap: 40px;
    padding: 30px;
}

/* LOGO */
.logo-login {
    display: flex;
    justify-content: center;
    align-items: center;
}

.logo-login img {
    width: 260px;
    max-width: 100%;
}

/* ======= FORM  ELEMENTOS======== */
#form {
    display: grid;
    gap: 15px;
    max-width: 420px;
    margin: auto;
}

/* CONTENEDOR INPUTS */
.conten-inputs {
    display: flex;
    flex-direction: column;
    gap: 18px;
}

/* GRUPO */
.form-group {
    position: relative;
    width: 100%;
}

/* INPUT */
.form-group input {
    width: 100%;
    padding: 12px;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 6px;
    outline: none;
    background: #fff;
}

/* LABEL FLOTANTE */
.form-group label {
    position: absolute;
    left: 12px;
    top: 12px;
    color: #888;
    font-size: 16px;
    pointer-events: none;
    transition: 0.3s ease;
    border-radius: 8px;
    background: white;
}

/* FOCUS */
.form-group input:focus {
    border-color: #16ade9;
    box-shadow: 0 0 4px rgba(22, 173, 233, 0.5);
}

/* LABEL ACTIVO */
.form-group input:focus + label,
.form-group input:not(:placeholder-shown) + label {
    top: -8px;
    font-size: 12px;
    color: #16ade9;
}

/* BOTONES */
.botones {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

/* ========= FORMULARIO ========= */
.login-form {
    background: rgba(255, 255, 255, 0.85);
    padding: 30px 40px;
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
    text-align: center;
}

.login-form h1 {
    font-size: 2.5rem;
    margin-bottom: 25px;
    color: #000;
}

/* BOTÓN LOGIN */
.btn_login {
    padding: 12px 25px;
    background-color: #2CF6B3;
    color: #000;
    font-weight: bold;
    font-size: 16px;
    border-radius: 6px;
    border: none;
    cursor: pointer;
    text-decoration: none;
    margin-bottom: 25px;
}

.btn_login:hover {
    background-color: #47d8a8;
}

.btn_login:active {
    background-color: #04ffab;
}

/* ========= CONTENEDOR CONTACTO ========= */
.apartado_contacto{
    position: absolute;
    right: 50px;
    bottom: 50px;
    width: 230px;
    display: flex;
    flex-direction: column;
    gap: 12px; /*separación entre head y body */
    z-index: 1000;
}

/* CABECERA */
.contac_head{
    background-color: #ffb300;
    padding: 12px;
    font-weight: bold;
    text-align: center;
}

/* CUERPO */
.contac_body{
    background-color: #ffa000;
    padding: 15px;
    text-align: center;
}

/* TELÉFONO */
.contac_body .telefono{
    margin-top: 8px; /* 👈 separación del texto */
    font-size: 18px;
    font-weight: bold;
}


/* RESPONSIVE */
@media (max-width: 768px) {
    .login-container {
        grid-template-columns: 1fr;
    }

    .logo-login img {
        width: 200px;
    }

    .login-form h1 {
        font-size: 2rem;
    }
}